bio_add_page
Prev | Other Functions | Next

## Name

bio_add_page — attempt to add page to bio

## Synopsis

`int bio_add_page (` | struct bio * | bio,
| struct page * | page,
| unsigned int | len,
| unsigned int | offset`)`;

## Arguments

`bio`

  destination bio

`page`

  page to add

`len`

  vec entry length

`offset`

  vec entry offset

## Description

Attempt to add a page to the bio_vec maplist. This can fail for a number of reasons, such as the bio being full or target block device limitations. The target block device must allow bio's smaller than PAGE_SIZE, so it is always possible to add a single page to an empty bio.

Prev | Up | Next
bio_add_pc_page | Home | bio_uncopy_user